Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MeasurementPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.MeasurementPluginManager

All Implemented Interfaces:
  MeasurementValueGetter

    public class MeasurementPluginManager

extends PluginManager
implements MeasurementValueGetter

Field Summary

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`MeasurementPluginManager()`
`MeasurementPluginManager(Properties props)`

Method Summary
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(String plugin, TypeInfo info, org.hyperic.util.config.ConfigResponse config)`
`String` | `getHelp(TypeInfo info, Map props)`
`MeasurementInfo[]` | `getMeasurements(TypeInfo info)`
`String` | `getName()`
`org.hyperic.hq.product.MetricValue` | `getValue(String template)`
`org.hyperic.hq.product.MetricValue` | `getValue(String name, Metric metric)`
`org.hyperic.hq.product.MetricValue` | `getValue(String name, String metric)`
`void` | `init(PluginManager parent)`
`void` | `reportEvent(Metric metric, long time, int level, String source, String message)`
`void` | `shutdown()`
`String` | `translate(String template, org.hyperic.util.config.ConfigResponse config)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.product.MeasurementValueGetter
`getPlugin`

Constructor Detail

### MeasurementPluginManager

    public MeasurementPluginManager()

### MeasurementPluginManager

    public MeasurementPluginManager(Properties props)

Method Detail

### init

    public void init(PluginManager parent)
              throws PluginException

  Overrides:
    `init` in class `PluginManager`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Overrides:
    `shutdown` in class `PluginManager`
  Throws:
    `PluginException`

### getName

    public String getName()

  Specified by:
    `getName` in class `PluginManager`

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(String plugin,
                                                                TypeInfo info,
                                                                org.hyperic.util.config.ConfigResponse config)
                                                         throws PluginNotFoundException

  Overrides:
    `getConfigSchema` in class `PluginManager`
  Throws:
    `PluginNotFoundException`

### getValue

    public org.hyperic.hq.product.MetricValue getValue(String template)
                                                throws PluginException,
                                                       PluginNotFoundException,
                                                       MetricNotFoundException,
                                                       MetricUnreachableException

  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### getValue

    public org.hyperic.hq.product.MetricValue getValue(String name,
                                                       String metric)
                                                throws PluginException,
                                                       PluginNotFoundException,
                                                       MetricNotFoundException,
                                                       MetricUnreachableException

  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### getValue

    public org.hyperic.hq.product.MetricValue getValue(String name,
                                                       Metric metric)
                                                throws PluginException,
                                                       PluginNotFoundException,
                                                       MetricNotFoundException,
                                                       MetricUnreachableException

  Specified by:
    `getValue` in interface `MeasurementValueGetter`
  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### translate

    public String translate(String template,
                            org.hyperic.util.config.ConfigResponse config)
                     throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getMeasurements

    public MeasurementInfo[] getMeasurements(TypeInfo info)
                                      throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getHelp

    public String getHelp(TypeInfo info,
                          Map props)
                   throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### reportEvent

    public void reportEvent(Metric metric,
                            long time,
                            int level,
                            String source,
                            String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.